List directories from a git repository
List immediate subdirectories at a specified path in a git repository. This endpoint is used when creating Terraform services to help users browse and select the appropriate root path.
Documentation Index
Fetch the complete documentation index at: https://qovery-argocd-documentation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Body
application git repository URL
"https://github.com/Qovery/simple-node-app"
BITBUCKET, GITHUB, GITLAB Name of the branch to use. This is optional
If not specified, then the branch used is the main or master one
"feat/text_xxx"
indicates the root path of the application.
The git token id on Qovery side
Response
List of directories at the specified path
["infra", "terraform", ".github"]